using System;

namespace Jauchdiplom
{
	/// <summary>
	/// Summary description for Engine.
	/// </summary>
	class Engine
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			QuestionDB qdb = new QuestionGenerator();

			UI ui = new ConsoleUI();
			Student s = new Student("Peter Sturm");
			while (true) 
			{
				Question q = qdb.NextQuestion();
				if (q is MultipleChoice) 
				{
					MultipleChoice mc = q as MultipleChoice;
					int answer = ui.PresentMultipleChoice(mc);
					// This is the most trivial tutor
					if (answer == mc.CorrectAnswer)
						ui.TutorComment("Super. Das war richtig.");
					else
						ui.TutorComment("Leider falsch. Die richtige Antwort ist " + mc.Answer(mc.CorrectAnswer-1));
				}

			}
		}
	}
}
