using System;
using Jauchdiplom;

namespace Jauchdiplom
{
	/// <summary>
	/// ConsoleGUI is - as the name says - the console version of the diploma quiz. It's sole purpose
	/// is to present a question, await and return the answer, and to allow the tutor's output afterwards.
	/// </summary>
	public class ConsoleUI : UI
	{
		public override int PresentMultipleChoice ( MultipleChoice mc ) 
		{
			int answer;
			Console.WriteLine();
			Console.WriteLine("Multiple choice question: {0}",mc.Task);
			for (int i=0; i<4; i++)
				Console.WriteLine("    {0}:{1}",i+1,mc.Answer(i));
			do 
			{
				Console.Write("Your answer: ");
				string input = Console.ReadLine();
				answer = Convert.ToInt32(input);
			} while ((answer < 1) || (answer > 4));
			return answer;
		}

		public override void TutorComment ( string comment ) 
		{
			Console.WriteLine(comment);
		}
	}
}
